BDE Error "Older version (see context)"

One of my customers has a corrupted Paradox table which keeps coming up
with BDE error 12035 "Older version (see context)". It's a Paradox 5
table, and it was OK up until recently and they claim nothing untoward has
occurred. The utility DLL can't do anything with it, and I'm damned if I
can do much beyond shake my head, no-so-wisely.

Does anybody know what this error is and why it should suddenly start
occurring?

TIA for any advice.

--
Luke Webber

* Note: The opinions expressed by Luke Webber are in no way supported *
*       by his employers, Luke Webber Consulting Services             *